#### D.15.4.16 difformNeg

Procedure from library `difform.lib` (see difform_lib).

Usage:
  -df; df difform

Return:
  the negation of the differential form

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    /////////////////////////////////////
    // Negation of a differential form //
    /////////////////////////////////////
    difform df = 13*dx*dy + 2*dy*dz - 6*dx*dy*dz - 3;
    -df;
    ==> 3+(-13)*dx*dy+(-2)*dy*dz+6*dx*dy*dz
    ==>
    kill Omega_R,df,dx,dy,dz;

See also: difformSub.

User manual for Singular version 4.4.1, 2025, generated by texi2html.